using Microsoft.Maui.Controls;
using GameAtlas.Models;

namespace GameAtlas.Views;

public partial class PageAdmin : ContentPage
{
    public PageAdmin()
    {
        InitializeComponent();
    }

    async void Back_Tapped(System.Object sender, Microsoft.Maui.Controls.TappedEventArgs e)
    {
        await Navigation.PopAsync();
    }

    private async void OnButtonClicked(object sender, EventArgs e)
    {
        string nom = await DisplayPromptAsync("Informations sur le Jeu", "Quel est le Titre ?", placeholder: "GTA VI");
        string sortie = await DisplayPromptAsync("Informations sur le Jeu", "Date de Sortie", placeholder: "JJ/MM/AAAA");
        string plateformes = await DisplayPromptAsync("Informations sur le Jeu", "Plateforme(s), un espace pour sparer", placeholder: "Ex: XOne PC PS5");
        string developpeur = await DisplayPromptAsync("Informations sur le Jeu", "Dveloppeur", placeholder: "Rockstar Games");
        string editeur = await DisplayPromptAsync("Informations sur le Jeu", "Editeur", placeholder: "Take-Two Interactive");
        string note = await DisplayPromptAsync("Informations sur le Jeu", "Note de 0  5", maxLength: 1, keyboard:Keyboard.Numeric, placeholder: "5");
        string nbtelechargement = await DisplayPromptAsync("Informations sur le Jeu", "Nombre de Tlchargements (en milliers, ex: 630k)", keyboard: Keyboard.Numeric, placeholder: "630");
        string genre = await DisplayPromptAsync("Informations sur le Jeu", "Genre(s), un espace pour sparer", placeholder: "Action Aventure");
        string image = await DisplayPromptAsync("Informations sur le Jeu", "Image de couverture (prfrez URL finissant par .png)", placeholder: "Take-Two Interactive");
    }
}